---
title: "BasePerson"
description: "Base schema for a Person associated with a Merchant. This can be a legal representative, business owner (ultimate beneficial owner), or an officer. A legal representative is the Person who registered the Merchant with SumUp. They should always have a `user_id`.\n"
image: "https://developer.sumup.com/og/index.png"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.sumup.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: SumUp REST API

Base schema for a Person associated with a Merchant. This can be a legal representative, business owner (ultimate beneficial owner), or an officer. A legal representative is the Person who registered the Merchant with SumUp. They should always have a `user_id`.

## Fields

- `id` (`BasePerson.id`; string, required) — The unique identifier for the Person. This is a [typeid](https://github.com/sumup/typeid).
  - example `"pers_2EGQ057R6C8J791RVCG5NWAEAB"`
- `user_id` (`BasePerson.user_id`; string, optional) — A corresponding identity user ID for the Person, if they have a user account.
  - example `"ef263f37-8701-4181-9758-acddbb778ee9"`
- `birthdate` (`BasePerson.birthdate`; string, optional) — The date of birth of the individual, represented as an ISO 8601:2004 [ISO8601‑2004] YYYY-MM-DD format.
  - format `date`; example `"1980-01-12"`
- `given_name` (`BasePerson.given_name`; string, optional) — The first name(s) of the individual.
  - minLength 1; maxLength 60; example `"Sofia"`
- `family_name` (`BasePerson.family_name`; string, optional) — The last name(s) of the individual.
  - minLength 1; maxLength 60; example `"Rossi"`
- `phone_number` (`BasePerson.phone_number`; string, optional) — The (mobile) phone number of the individual (used for verification) in [E.164](https://en.wikipedia.org/wiki/E.164) format.
  - maxLength 16; example `"+420123456789"`
- `relationships` (`BasePerson.relationships`; array<string>, optional) — A list of roles the Person has in the Merchant or towards SumUp. A Merchant must have at least one Person with the relationship `representative`.
- `ownership` (`BasePerson.ownership`; object, optional)
  - `share` (`BasePerson.ownership.share`; integer, required) — The percent of ownership shares held by the Person expressed in percent mille (1/100000). Only Persons with the relationship `owner` can have ownership.
    - format `int32`; min 25000; max 100000; example `50000`
- `address` (`BasePerson.address`; object, optional) — An address somewhere in the world. The address fields used depend on the country conventions. For example, in Great Britain, `city` is `post_town`. In the United States, the top-level administrative unit used in addresses is `state`, whereas in Chile it's `region`. Whether an address is valid or not depends on whether the locally required fields are present. Fields not supported in a country will be ignored.
  - example `{"street_address":["Paul-Linke-Ufer 39-40","2. Hinterhof"],"post_code":"10999","city":"Berlin","country":"DE"}`
  - `country` (`BasePerson.address.country`; string, required) — The ISO3166-1 Alpha-2 code of the address country.
    - pattern `^[A-Z]{2}$`; example `"DE"`
  - `street_address` (`BasePerson.address.street_address`; array<string>, optional)
    - maxLength 100; example `["Paul-Linke-Ufer 39-40","2. Hinterhof"]`
  - `post_code` (`BasePerson.address.post_code`; string, optional) — The postal code (aka. zip code) of the address.
    - maxLength 10; example `"10999"`
  - `city` (`BasePerson.address.city`; string, optional) — The city of the address.
    - maxLength 60; example `"Berlin"`
  - `province` (`BasePerson.address.province`; string, optional) — The province where the address is located. This may not be relevant in some countries.
    - maxLength 60; example `"Ontario"`
  - `region` (`BasePerson.address.region`; string, optional) — The region where the address is located. This may not be relevant in some countries.
    - maxLength 60; example `"Baden-Wuerttemberg"`
  - `county` (`BasePerson.address.county`; string, optional) — A county is a geographic region of a country used for administrative or other purposes in some nations. Used in countries such as Ireland, Romania, etc.
    - maxLength 60; example `"Dublin"`
  - `autonomous_community` (`BasePerson.address.autonomous_community`; string, optional) — In Spain, an autonomous community is the first sub-national level of political and administrative division.
    - maxLength 60; example `"Catalonia"`
  - `post_town` (`BasePerson.address.post_town`; string, optional) — A post town is a required part of all postal addresses in the United Kingdom and Ireland, and a basic unit of the postal delivery system.
    - maxLength 60; example `"London"`
  - `state` (`BasePerson.address.state`; string, optional) — Most often, a country has a single state, with various administrative divisions. The term "state" is sometimes used to refer to the federated polities that make up the federation. Used in countries such as the United States and Brazil.
    - maxLength 60; example `"California"`
  - `neighborhood` (`BasePerson.address.neighborhood`; string, optional) — Locality level of the address. Used in countries such as Brazil or Chile.
    - maxLength 60; example `"Copacabana"`
  - `commune` (`BasePerson.address.commune`; string, optional) — In many countries, terms cognate with "commune" are used, referring to the community living in the area and the common interest. Used in countries such as Chile.
    - maxLength 60; example `"Providencia"`
  - `department` (`BasePerson.address.department`; string, optional) — A department (French: département, Spanish: departamento) is an administrative or political division in several countries. Used in countries such as Colombia.
    - maxLength 60; example `"Antioquia"`
  - `municipality` (`BasePerson.address.municipality`; string, optional) — A municipality is usually a single administrative division having corporate status and powers of self-government or jurisdiction as granted by national and regional laws to which it is subordinate. Used in countries such as Colombia.
    - maxLength 60; example `"Medellin"`
  - `district` (`BasePerson.address.district`; string, optional) — A district is a type of administrative division that in some countries is managed by the local government. Used in countries such as Portugal.
    - maxLength 60; example `"Lisbon"`
  - `zip_code` (`BasePerson.address.zip_code`; string, optional) — A US system of postal codes used by the United States Postal Service (USPS).
    - maxLength 10; example `"94103"`
  - `eircode` (`BasePerson.address.eircode`; string, optional) — A postal address in Ireland.
    - maxLength 10; example `"D02 X285"`
- `identifiers` (`BasePerson.identifiers`; array<object>, optional) — A list of country-specific personal identifiers.
  - `ref` (`BasePerson.identifiers.ref`; string, required) — The unique reference for the personal identifier type as defined in the country SDK.
    - pattern `^[a-z]{2}\.[a-z_]+$`; example `"br.cpf"`
  - `value` (`BasePerson.identifiers.value`; string, required) — The value of the personal identifier.
    - minLength 1; maxLength 30; example `"847.060.136-90"`
- `citizenship` (`BasePerson.citizenship`; string, optional) — The Alpha-2 ISO code of the country where the Person is a citizen.
  - pattern `^[A-Z]{2}$`; example `"AR"`
- `nationality` (`BasePerson.nationality`; string, optional, nullable) — The Person's nationality. May be an [ISO3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country code, but legacy data may not conform to this standard.
  - pattern `^[A-Z]{2}$`
- `country_of_residence` (`BasePerson.country_of_residence`; string, optional, nullable) — An [ISO3166-1 alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) country code representing the country where the Person resides.
  - pattern `^[A-Z]{2}$`
- `version` (`BasePerson.version`; string, optional) — The version of the resource. The version reflects a specific change submitted to the API via one of the `PATCH` endpoints.
  - example `"chng_01HS0KG3MPVEVWW85E3KNXH55J"`
- `change_status` (`BasePerson.change_status`; string, optional) — Reflects the status of changes submitted through the `PATCH` endpoints for the Merchant or Persons. If some changes have not been applied yet, the status will be `pending`. If all changes have been applied, the status `done`. The status is only returned after write operations or on read endpoints when the `version` query parameter is provided.


Source: https://developer.sumup.com/api/schemas/BasePerson/index.md
